/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\Picking up the Pieces\RockTrophy.cs
Lines of code: 43
***********************************************************/


using System;
using Server;
using Server.Targeting;

namespace Server.Items
{
	public class RockTrophy: Item
	{
		private string playername;
		private int playeryear;
	
		[Constructable]
		public RockTrophy(string name, int eventyear) : base( 9764 )
		{
			Hue = 1175;
			Name = "A blackrock elemental trophy";
			playername = name;
			playeryear = eventyear;
			
			LootType=LootType.Blessed;
		}
		
		public override bool DisplayWeight { get { return ( false ); } }			

		public RockTrophy( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add(1060658,"Picking up the Pieces Event Winner (" + playername + ") \t" + playeryear);
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
			
			writer.Write((string)playername);
			writer.Write((int)playeryear);
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			
			playername = reader.ReadString();
			playeryear = reader.ReadInt();
		}
	}
}